commit: 29ce590ec8b7749cb5203224207be19857eb4905
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 11:50:16 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 11:50:21 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29ce590e
sys-devel/bison: Bump to version 3.7.5
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-devel/bison/Manifest | 1 +
sys-devel/bison/bison-3.7.5.ebuild | 91 ++++++++++++++++++++++++++++++++++++++
2 files changed, 92 insertions(+)
diff --git a/sys-devel/bison/Manifest b/sys-devel/bison/Manifest
index 7bda9479b11..e17184c5b12 100644
--- a/sys-devel/bison/Manifest
+++ b/sys-devel/bison/Manifest
@@ -3,3 +3,4 @@ DIST bison-3.6.4.tar.xz 2472456 BLAKE2B
d2efe7ff1a349efe5a8c79eb69aa296dbc7eb9fd
DIST bison-3.7.3-patches-01.tar.xz 11336 BLAKE2B
2648dacd99c64c366946dad34f9e5fd838b43257df47bf74e3a3b63b03099152b4884d9b1c5943ee5c47afb090369278874c5f2b40dfa69b3abfa4eaa556843f
SHA512
a53d541a550cc45f6c677fb6fa830640b64ba2c9a4ab4e6aef1f52ecd5fa38501e2391707d66c2958dd7a139dfba74ae5734e80d15360a3aa544fdea8ecf5500
DIST bison-3.7.3.tar.xz 2613028 BLAKE2B
a6f1063fb9441ae9102b29dc2786b7eb7104f7f13288d537080c26e7982e63f7a954abf1903f2a79a88578d88e9f3c30da8dcf12b7d6c89de0b60943186332c7
SHA512
34fe630749dc015f15a830ad13742c4b0b9163143a11e987c16954bee0451e819ec2fa7b43bd34c867e5ce72c758eb9070348d1d581c9435b9531a99caa46eed
DIST bison-3.7.4.tar.xz 2617336 BLAKE2B
e49a4a6fba1dc93314133541c24c6619b465a81850d6b8c4ff63074df46fa7d6e1d9645797c14be32a87c0ffee6830b24e49137b6357d3284d736b407fe7d118
SHA512
3fc13ab21e28218afc9b7f1196a5607de7ff4403c4126df359848422a8057ac6c17ce4344864dd320b7c47a08d98e0f3e2929f25b06be3b1f1c867c0568f367c
+DIST bison-3.7.5.tar.xz 2622228 BLAKE2B
4787af645197bfbc4c0439e98bbc98030a726ca185ec3375b2fe7f49aeee6517e2155e242a9829f93de931cf3217a7a3ede520fa1d562b25e2d34915677c1747
SHA512
98cdfaf114b8f8eb0927b29fe999dc9629336333d85bd2f87c4c558125500c44ee6fbfff453e3121c7e9e239a632f8c72e08c39be7dfb045361d35ec59d31811
diff --git a/sys-devel/bison/bison-3.7.5.ebuild
b/sys-devel/bison/bison-3.7.5.ebuild
new file mode 100644
index 00000000000..61db0e9ab17
--- /dev/null
+++ b/sys-devel/bison/bison-3.7.5.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+PATCH_TAR="${PN}-3.7.3-patches-01.tar.xz"
+
+DESCRIPTION="A general-purpose (yacc-compatible) parser generator"
+HOMEPAGE="https://www.gnu.org/software/bison/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+ https://dev.gentoo.org/~whissi/dist/bison/${PATCH_TAR}
+ https://dev.gentoo.org/~polynomial-c/dist/bison/${PATCH_TAR}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples nls static test"
+RESTRICT="!test? ( test )"
+
+# gettext _IS_ required in RDEPEND because >=bison-3.7 links against
+# libtextstyle.so!!! (see bug #740754)
+DEPEND="
+ >=sys-devel/m4-1.4.16
+ >=sys-devel/gettext-0.21
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ sys-devel/flex
+ examples? ( dev-lang/perl )
+ test? ( dev-lang/perl )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO ) # ChangeLog-2012
ChangeLog-1998 PACKAGING README-alpha README-release
+
+src_prepare() {
+ # Record date to avoid 'config.status --recheck' & regen of
'tests/package.m4'
+ touch -r configure.ac old.configure.ac || die
+ touch -r configure old.configure || die
+
+ eapply "${WORKDIR}"/patches
+ default
+
+ # Restore date after patching
+ touch -r old.configure.ac configure.ac || die
+ touch -r old.configure configure || die
+
+ # The makefiles make the man page depend on the configure script
+ # which we patched above. Touch it to prevent regeneration.
+ touch doc/bison.1 || die #548778 #538300#9
+
+ # Avoid regenerating the info page when the timezone is diff. #574492
+ sed -i '2iexport TZ=UTC' build-aux/mdate-sh || die
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ local myeconfargs=(
+ $(use_enable examples)
+ $(use_enable nls)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ # This one is installed by dev-util/yacc
+ mv "${ED}"/usr/bin/yacc{,.bison} || die
+ mv "${ED}"/usr/share/man/man1/yacc{,.bison}.1 || die
+
+ # We do not need liby.a
+ rm -r "${ED}"/usr/lib* || die
+}
+
+pkg_postinst() {
+ local f="${EROOT}/usr/bin/yacc"
+ if [[ ! -e ${f} ]] ; then
+ ln -s yacc.bison "${f}"
+ fi
+}
+
+pkg_postrm() {
+ # clean up the dead symlink when we get unmerged #377469
+ local f="${EROOT}/usr/bin/yacc"
+ if [[ -L ${f} && ! -e ${f} ]] ; then
+ rm -f "${f}"
+ fi
+}